### YamlMime:ManagedReference
items:
- uid: adas_core.Infrastructure.Repositories
  commentId: N:adas_core.Infrastructure.Repositories
  id: adas_core.Infrastructure.Repositories
  children:
  - adas_core.Infrastructure.Repositories.AdmissionRepository
  - adas_core.Infrastructure.Repositories.AlarmRepository
  - adas_core.Infrastructure.Repositories.AppointmentArchiveRepository
  - adas_core.Infrastructure.Repositories.AppointmentRepository
  - adas_core.Infrastructure.Repositories.ArchivePatientCarePlanRepository
  - adas_core.Infrastructure.Repositories.AuthorityRepository
  - adas_core.Infrastructure.Repositories.CameraRepository
  - adas_core.Infrastructure.Repositories.ConfigObservationRepository
  - adas_core.Infrastructure.Repositories.ConfigPumpsRepository
  - adas_core.Infrastructure.Repositories.ConfigUnitsRepository
  - adas_core.Infrastructure.Repositories.DeviceRepository
  - adas_core.Infrastructure.Repositories.DiagnosisArchiveRepository
  - adas_core.Infrastructure.Repositories.DiagnosisRepository
  - adas_core.Infrastructure.Repositories.DischargeRepository
  - adas_core.Infrastructure.Repositories.DisplayCardConfigRepository
  - adas_core.Infrastructure.Repositories.DisplayChartConfigRepository
  - adas_core.Infrastructure.Repositories.DisplayConfigRepository
  - adas_core.Infrastructure.Repositories.DisplayDetailConfigRepository
  - adas_core.Infrastructure.Repositories.DisplayRepository
  - adas_core.Infrastructure.Repositories.HistoricalConfigChangesRepository
  - adas_core.Infrastructure.Repositories.LightBeaconRepository
  - adas_core.Infrastructure.Repositories.MasterListRepository`1
  - adas_core.Infrastructure.Repositories.MedicineRepository
  - adas_core.Infrastructure.Repositories.MongoRepository`1
  - adas_core.Infrastructure.Repositories.NoticeRepository
  - adas_core.Infrastructure.Repositories.ObservationArchiveRepository
  - adas_core.Infrastructure.Repositories.ObservationRepository
  - adas_core.Infrastructure.Repositories.PatientArchiveRepository
  - adas_core.Infrastructure.Repositories.PatientCarePlanRepository
  - adas_core.Infrastructure.Repositories.PatientRepository
  - adas_core.Infrastructure.Repositories.PoCMappingRepository
  - adas_core.Infrastructure.Repositories.PoCSettingsRepository
  - adas_core.Infrastructure.Repositories.PointOfCareRepository
  - adas_core.Infrastructure.Repositories.PumpAlarmEventRepository
  - adas_core.Infrastructure.Repositories.PumpAlarmStateRepository
  - adas_core.Infrastructure.Repositories.PumpArchiveRepository
  - adas_core.Infrastructure.Repositories.PumpObservationRepository
  - adas_core.Infrastructure.Repositories.PumpStateRepository
  - adas_core.Infrastructure.Repositories.RecordingAlertArchiveRepository
  - adas_core.Infrastructure.Repositories.RecordingAlertRepository
  - adas_core.Infrastructure.Repositories.RelayRepository
  - adas_core.Infrastructure.Repositories.SectionRepository
  - adas_core.Infrastructure.Repositories.ServiceConfigRepository
  - adas_core.Infrastructure.Repositories.TreatmentArchiveRepository
  - adas_core.Infrastructure.Repositories.TreatmentRepository
  - adas_core.Infrastructure.Repositories.UnitRepository
  - adas_core.Infrastructure.Repositories.UserRepository
  langs:
  - csharp
  - vb
  name: adas_core.Infrastructure.Repositories
  nameWithType: adas_core.Infrastructure.Repositories
  fullName: adas_core.Infrastructure.Repositories
  type: Namespace
  assemblies:
  - adas-core.Infrastructure
references:
- uid: adas_core.Infrastructure.Repositories.AdmissionRepository
  commentId: T:adas_core.Infrastructure.Repositories.AdmissionRepository
  href: adas_core.Infrastructure.Repositories.AdmissionRepository.html
  name: AdmissionRepository
  nameWithType: AdmissionRepository
  fullName: adas_core.Infrastructure.Repositories.AdmissionRepository
- uid: adas_core.Infrastructure.Repositories.AlarmRepository
  commentId: T:adas_core.Infrastructure.Repositories.AlarmRepository
  href: adas_core.Infrastructure.Repositories.AlarmRepository.html
  name: AlarmRepository
  nameWithType: AlarmRepository
  fullName: adas_core.Infrastructure.Repositories.AlarmRepository
- uid: adas_core.Infrastructure.Repositories.AppointmentArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.AppointmentArchiveRepository
  href: adas_core.Infrastructure.Repositories.AppointmentArchiveRepository.html
  name: AppointmentArchiveRepository
  nameWithType: AppointmentArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.AppointmentArchiveRepository
- uid: adas_core.Infrastructure.Repositories.AppointmentRepository
  commentId: T:adas_core.Infrastructure.Repositories.AppointmentRepository
  href: adas_core.Infrastructure.Repositories.AppointmentRepository.html
  name: AppointmentRepository
  nameWithType: AppointmentRepository
  fullName: adas_core.Infrastructure.Repositories.AppointmentRepository
- uid: adas_core.Infrastructure.Repositories.ArchivePatientCarePlanRepository
  commentId: T:adas_core.Infrastructure.Repositories.ArchivePatientCarePlanRepository
  href: adas_core.Infrastructure.Repositories.ArchivePatientCarePlanRepository.html
  name: ArchivePatientCarePlanRepository
  nameWithType: ArchivePatientCarePlanRepository
  fullName: adas_core.Infrastructure.Repositories.ArchivePatientCarePlanRepository
- uid: adas_core.Infrastructure.Repositories.AuthorityRepository
  commentId: T:adas_core.Infrastructure.Repositories.AuthorityRepository
  href: adas_core.Infrastructure.Repositories.AuthorityRepository.html
  name: AuthorityRepository
  nameWithType: AuthorityRepository
  fullName: adas_core.Infrastructure.Repositories.AuthorityRepository
- uid: adas_core.Infrastructure.Repositories.CameraRepository
  commentId: T:adas_core.Infrastructure.Repositories.CameraRepository
  href: adas_core.Infrastructure.Repositories.CameraRepository.html
  name: CameraRepository
  nameWithType: CameraRepository
  fullName: adas_core.Infrastructure.Repositories.CameraRepository
- uid: adas_core.Infrastructure.Repositories.ConfigObservationRepository
  commentId: T:adas_core.Infrastructure.Repositories.ConfigObservationRepository
  href: adas_core.Infrastructure.Repositories.ConfigObservationRepository.html
  name: ConfigObservationRepository
  nameWithType: ConfigObservationRepository
  fullName: adas_core.Infrastructure.Repositories.ConfigObservationRepository
- uid: adas_core.Infrastructure.Repositories.ConfigPumpsRepository
  commentId: T:adas_core.Infrastructure.Repositories.ConfigPumpsRepository
  href: adas_core.Infrastructure.Repositories.ConfigPumpsRepository.html
  name: ConfigPumpsRepository
  nameWithType: ConfigPumpsRepository
  fullName: adas_core.Infrastructure.Repositories.ConfigPumpsRepository
- uid: adas_core.Infrastructure.Repositories.ConfigUnitsRepository
  commentId: T:adas_core.Infrastructure.Repositories.ConfigUnitsRepository
  href: adas_core.Infrastructure.Repositories.ConfigUnitsRepository.html
  name: ConfigUnitsRepository
  nameWithType: ConfigUnitsRepository
  fullName: adas_core.Infrastructure.Repositories.ConfigUnitsRepository
- uid: adas_core.Infrastructure.Repositories.DeviceRepository
  commentId: T:adas_core.Infrastructure.Repositories.DeviceRepository
  href: adas_core.Infrastructure.Repositories.DeviceRepository.html
  name: DeviceRepository
  nameWithType: DeviceRepository
  fullName: adas_core.Infrastructure.Repositories.DeviceRepository
- uid: adas_core.Infrastructure.Repositories.DiagnosisArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.DiagnosisArchiveRepository
  href: adas_core.Infrastructure.Repositories.DiagnosisArchiveRepository.html
  name: DiagnosisArchiveRepository
  nameWithType: DiagnosisArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.DiagnosisArchiveRepository
- uid: adas_core.Infrastructure.Repositories.DiagnosisRepository
  commentId: T:adas_core.Infrastructure.Repositories.DiagnosisRepository
  href: adas_core.Infrastructure.Repositories.DiagnosisRepository.html
  name: DiagnosisRepository
  nameWithType: DiagnosisRepository
  fullName: adas_core.Infrastructure.Repositories.DiagnosisRepository
- uid: adas_core.Infrastructure.Repositories.DischargeRepository
  commentId: T:adas_core.Infrastructure.Repositories.DischargeRepository
  href: adas_core.Infrastructure.Repositories.DischargeRepository.html
  name: DischargeRepository
  nameWithType: DischargeRepository
  fullName: adas_core.Infrastructure.Repositories.DischargeRepository
- uid: adas_core.Infrastructure.Repositories.DisplayCardConfigRepository
  commentId: T:adas_core.Infrastructure.Repositories.DisplayCardConfigRepository
  href: adas_core.Infrastructure.Repositories.DisplayCardConfigRepository.html
  name: DisplayCardConfigRepository
  nameWithType: DisplayCardConfigRepository
  fullName: adas_core.Infrastructure.Repositories.DisplayCardConfigRepository
- uid: adas_core.Infrastructure.Repositories.DisplayChartConfigRepository
  commentId: T:adas_core.Infrastructure.Repositories.DisplayChartConfigRepository
  href: adas_core.Infrastructure.Repositories.DisplayChartConfigRepository.html
  name: DisplayChartConfigRepository
  nameWithType: DisplayChartConfigRepository
  fullName: adas_core.Infrastructure.Repositories.DisplayChartConfigRepository
- uid: adas_core.Infrastructure.Repositories.DisplayConfigRepository
  commentId: T:adas_core.Infrastructure.Repositories.DisplayConfigRepository
  href: adas_core.Infrastructure.Repositories.DisplayConfigRepository.html
  name: DisplayConfigRepository
  nameWithType: DisplayConfigRepository
  fullName: adas_core.Infrastructure.Repositories.DisplayConfigRepository
- uid: adas_core.Infrastructure.Repositories.DisplayDetailConfigRepository
  commentId: T:adas_core.Infrastructure.Repositories.DisplayDetailConfigRepository
  href: adas_core.Infrastructure.Repositories.DisplayDetailConfigRepository.html
  name: DisplayDetailConfigRepository
  nameWithType: DisplayDetailConfigRepository
  fullName: adas_core.Infrastructure.Repositories.DisplayDetailConfigRepository
- uid: adas_core.Infrastructure.Repositories.DisplayRepository
  commentId: T:adas_core.Infrastructure.Repositories.DisplayRepository
  href: adas_core.Infrastructure.Repositories.DisplayRepository.html
  name: DisplayRepository
  nameWithType: DisplayRepository
  fullName: adas_core.Infrastructure.Repositories.DisplayRepository
- uid: adas_core.Infrastructure.Repositories.HistoricalConfigChangesRepository
  commentId: T:adas_core.Infrastructure.Repositories.HistoricalConfigChangesRepository
  href: adas_core.Infrastructure.Repositories.HistoricalConfigChangesRepository.html
  name: HistoricalConfigChangesRepository
  nameWithType: HistoricalConfigChangesRepository
  fullName: adas_core.Infrastructure.Repositories.HistoricalConfigChangesRepository
- uid: adas_core.Infrastructure.Repositories.LightBeaconRepository
  commentId: T:adas_core.Infrastructure.Repositories.LightBeaconRepository
  href: adas_core.Infrastructure.Repositories.LightBeaconRepository.html
  name: LightBeaconRepository
  nameWithType: LightBeaconRepository
  fullName: adas_core.Infrastructure.Repositories.LightBeaconRepository
- uid: adas_core.Infrastructure.Repositories.MasterListRepository`1
  commentId: T:adas_core.Infrastructure.Repositories.MasterListRepository`1
  href: adas_core.Infrastructure.Repositories.MasterListRepository-1.html
  name: MasterListRepository<T>
  nameWithType: MasterListRepository<T>
  fullName: adas_core.Infrastructure.Repositories.MasterListRepository<T>
  nameWithType.vb: MasterListRepository(Of T)
  fullName.vb: adas_core.Infrastructure.Repositories.MasterListRepository(Of T)
  name.vb: MasterListRepository(Of T)
  spec.csharp:
  - uid: adas_core.Infrastructure.Repositories.MasterListRepository`1
    name: MasterListRepository
    href: adas_core.Infrastructure.Repositories.MasterListRepository-1.html
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: adas_core.Infrastructure.Repositories.MasterListRepository`1
    name: MasterListRepository
    href: adas_core.Infrastructure.Repositories.MasterListRepository-1.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Infrastructure.Repositories.MedicineRepository
  commentId: T:adas_core.Infrastructure.Repositories.MedicineRepository
  href: adas_core.Infrastructure.Repositories.MedicineRepository.html
  name: MedicineRepository
  nameWithType: MedicineRepository
  fullName: adas_core.Infrastructure.Repositories.MedicineRepository
- uid: adas_core.Infrastructure.Repositories.MongoRepository`1
  commentId: T:adas_core.Infrastructure.Repositories.MongoRepository`1
  href: adas_core.Infrastructure.Repositories.MongoRepository-1.html
  name: MongoRepository<T>
  nameWithType: MongoRepository<T>
  fullName: adas_core.Infrastructure.Repositories.MongoRepository<T>
  nameWithType.vb: MongoRepository(Of T)
  fullName.vb: adas_core.Infrastructure.Repositories.MongoRepository(Of T)
  name.vb: MongoRepository(Of T)
  spec.csharp:
  - uid: adas_core.Infrastructure.Repositories.MongoRepository`1
    name: MongoRepository
    href: adas_core.Infrastructure.Repositories.MongoRepository-1.html
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: adas_core.Infrastructure.Repositories.MongoRepository`1
    name: MongoRepository
    href: adas_core.Infrastructure.Repositories.MongoRepository-1.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Infrastructure.Repositories.NoticeRepository
  commentId: T:adas_core.Infrastructure.Repositories.NoticeRepository
  href: adas_core.Infrastructure.Repositories.NoticeRepository.html
  name: NoticeRepository
  nameWithType: NoticeRepository
  fullName: adas_core.Infrastructure.Repositories.NoticeRepository
- uid: adas_core.Infrastructure.Repositories.ObservationArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.ObservationArchiveRepository
  href: adas_core.Infrastructure.Repositories.ObservationArchiveRepository.html
  name: ObservationArchiveRepository
  nameWithType: ObservationArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.ObservationArchiveRepository
- uid: adas_core.Infrastructure.Repositories.ObservationRepository
  commentId: T:adas_core.Infrastructure.Repositories.ObservationRepository
  href: adas_core.Infrastructure.Repositories.ObservationRepository.html
  name: ObservationRepository
  nameWithType: ObservationRepository
  fullName: adas_core.Infrastructure.Repositories.ObservationRepository
- uid: adas_core.Infrastructure.Repositories.PatientArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.PatientArchiveRepository
  href: adas_core.Infrastructure.Repositories.PatientArchiveRepository.html
  name: PatientArchiveRepository
  nameWithType: PatientArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.PatientArchiveRepository
- uid: adas_core.Infrastructure.Repositories.PatientCarePlanRepository
  commentId: T:adas_core.Infrastructure.Repositories.PatientCarePlanRepository
  href: adas_core.Infrastructure.Repositories.PatientCarePlanRepository.html
  name: PatientCarePlanRepository
  nameWithType: PatientCarePlanRepository
  fullName: adas_core.Infrastructure.Repositories.PatientCarePlanRepository
- uid: adas_core.Infrastructure.Repositories.PatientRepository
  commentId: T:adas_core.Infrastructure.Repositories.PatientRepository
  href: adas_core.Infrastructure.Repositories.PatientRepository.html
  name: PatientRepository
  nameWithType: PatientRepository
  fullName: adas_core.Infrastructure.Repositories.PatientRepository
- uid: adas_core.Infrastructure.Repositories.PoCMappingRepository
  commentId: T:adas_core.Infrastructure.Repositories.PoCMappingRepository
  href: adas_core.Infrastructure.Repositories.PoCMappingRepository.html
  name: PoCMappingRepository
  nameWithType: PoCMappingRepository
  fullName: adas_core.Infrastructure.Repositories.PoCMappingRepository
- uid: adas_core.Infrastructure.Repositories.PoCSettingsRepository
  commentId: T:adas_core.Infrastructure.Repositories.PoCSettingsRepository
  href: adas_core.Infrastructure.Repositories.PoCSettingsRepository.html
  name: PoCSettingsRepository
  nameWithType: PoCSettingsRepository
  fullName: adas_core.Infrastructure.Repositories.PoCSettingsRepository
- uid: adas_core.Infrastructure.Repositories.PointOfCareRepository
  commentId: T:adas_core.Infrastructure.Repositories.PointOfCareRepository
  href: adas_core.Infrastructure.Repositories.PointOfCareRepository.html
  name: PointOfCareRepository
  nameWithType: PointOfCareRepository
  fullName: adas_core.Infrastructure.Repositories.PointOfCareRepository
- uid: adas_core.Infrastructure.Repositories.PumpAlarmEventRepository
  commentId: T:adas_core.Infrastructure.Repositories.PumpAlarmEventRepository
  href: adas_core.Infrastructure.Repositories.PumpAlarmEventRepository.html
  name: PumpAlarmEventRepository
  nameWithType: PumpAlarmEventRepository
  fullName: adas_core.Infrastructure.Repositories.PumpAlarmEventRepository
- uid: adas_core.Infrastructure.Repositories.PumpAlarmStateRepository
  commentId: T:adas_core.Infrastructure.Repositories.PumpAlarmStateRepository
  href: adas_core.Infrastructure.Repositories.PumpAlarmStateRepository.html
  name: PumpAlarmStateRepository
  nameWithType: PumpAlarmStateRepository
  fullName: adas_core.Infrastructure.Repositories.PumpAlarmStateRepository
- uid: adas_core.Infrastructure.Repositories.PumpArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.PumpArchiveRepository
  href: adas_core.Infrastructure.Repositories.PumpArchiveRepository.html
  name: PumpArchiveRepository
  nameWithType: PumpArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.PumpArchiveRepository
- uid: adas_core.Infrastructure.Repositories.PumpObservationRepository
  commentId: T:adas_core.Infrastructure.Repositories.PumpObservationRepository
  href: adas_core.Infrastructure.Repositories.PumpObservationRepository.html
  name: PumpObservationRepository
  nameWithType: PumpObservationRepository
  fullName: adas_core.Infrastructure.Repositories.PumpObservationRepository
- uid: adas_core.Infrastructure.Repositories.PumpStateRepository
  commentId: T:adas_core.Infrastructure.Repositories.PumpStateRepository
  href: adas_core.Infrastructure.Repositories.PumpStateRepository.html
  name: PumpStateRepository
  nameWithType: PumpStateRepository
  fullName: adas_core.Infrastructure.Repositories.PumpStateRepository
- uid: adas_core.Infrastructure.Repositories.RecordingAlertArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.RecordingAlertArchiveRepository
  href: adas_core.Infrastructure.Repositories.RecordingAlertArchiveRepository.html
  name: RecordingAlertArchiveRepository
  nameWithType: RecordingAlertArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.RecordingAlertArchiveRepository
- uid: adas_core.Infrastructure.Repositories.RecordingAlertRepository
  commentId: T:adas_core.Infrastructure.Repositories.RecordingAlertRepository
  href: adas_core.Infrastructure.Repositories.RecordingAlertRepository.html
  name: RecordingAlertRepository
  nameWithType: RecordingAlertRepository
  fullName: adas_core.Infrastructure.Repositories.RecordingAlertRepository
- uid: adas_core.Infrastructure.Repositories.RelayRepository
  commentId: T:adas_core.Infrastructure.Repositories.RelayRepository
  href: adas_core.Infrastructure.Repositories.RelayRepository.html
  name: RelayRepository
  nameWithType: RelayRepository
  fullName: adas_core.Infrastructure.Repositories.RelayRepository
- uid: adas_core.Infrastructure.Repositories.SectionRepository
  commentId: T:adas_core.Infrastructure.Repositories.SectionRepository
  href: adas_core.Infrastructure.Repositories.SectionRepository.html
  name: SectionRepository
  nameWithType: SectionRepository
  fullName: adas_core.Infrastructure.Repositories.SectionRepository
- uid: adas_core.Infrastructure.Repositories.ServiceConfigRepository
  commentId: T:adas_core.Infrastructure.Repositories.ServiceConfigRepository
  href: adas_core.Infrastructure.Repositories.ServiceConfigRepository.html
  name: ServiceConfigRepository
  nameWithType: ServiceConfigRepository
  fullName: adas_core.Infrastructure.Repositories.ServiceConfigRepository
- uid: adas_core.Infrastructure.Repositories.TreatmentArchiveRepository
  commentId: T:adas_core.Infrastructure.Repositories.TreatmentArchiveRepository
  href: adas_core.Infrastructure.Repositories.TreatmentArchiveRepository.html
  name: TreatmentArchiveRepository
  nameWithType: TreatmentArchiveRepository
  fullName: adas_core.Infrastructure.Repositories.TreatmentArchiveRepository
- uid: adas_core.Infrastructure.Repositories.TreatmentRepository
  commentId: T:adas_core.Infrastructure.Repositories.TreatmentRepository
  href: adas_core.Infrastructure.Repositories.TreatmentRepository.html
  name: TreatmentRepository
  nameWithType: TreatmentRepository
  fullName: adas_core.Infrastructure.Repositories.TreatmentRepository
- uid: adas_core.Infrastructure.Repositories.UnitRepository
  commentId: T:adas_core.Infrastructure.Repositories.UnitRepository
  href: adas_core.Infrastructure.Repositories.UnitRepository.html
  name: UnitRepository
  nameWithType: UnitRepository
  fullName: adas_core.Infrastructure.Repositories.UnitRepository
- uid: adas_core.Infrastructure.Repositories.UserRepository
  commentId: T:adas_core.Infrastructure.Repositories.UserRepository
  href: adas_core.Infrastructure.Repositories.UserRepository.html
  name: UserRepository
  nameWithType: UserRepository
  fullName: adas_core.Infrastructure.Repositories.UserRepository
